#include "AboutDlg.h"
#include "Revision.h"
#include "icon/about.xpm"

//--------------------------------------------------------------------------------
AboutDlg::AboutDlg(wxWindow *parent)
  : AboutDlgDesign(parent)
{
}

AboutDlg::~AboutDlg()
{
}

void AboutDlg::BitmapAbout_OnPaint(wxPaintEvent& event)
{
  wxPaintDC dc(m_bitmapAbout);
  
  wxBitmap bitmap = wxBitmap(about_xpm);
  dc.DrawBitmap(bitmap, wxPoint(0, 0));

  int const baseX = 20;
  int const baseY = 220;
  dc.DrawText(APP_BUILD_DATE,   wxPoint(baseX, baseY));
  dc.DrawText(APP_REVISION,     wxPoint(baseX, baseY + 15));
  dc.DrawText(APP_COPYRIGHT,    wxPoint(baseX, baseY + 30));
}

void AboutDlg::ButtonOK_OnButtonClick(wxCommandEvent &event)
{
  Close();
}

//--------------------------------------------------------------------------------
