#pragma once

#include "FormDesign.h"
#include "GraphProject.h"

//--------------------------------------------------------------------------------
/**
 * ̓_CAO.
 */
class CalculatorDlg : public CalculatorDlgDesign
{
public:
  explicit CalculatorDlg(wxWindow* parent);
  virtual ~CalculatorDlg();

  /**
   * Ot vWFNgݒ肵܂.
   * ̃Ot̃TCY擾邽߂ɗp܂.
   */
  void SetGraphProject(GraphProject *project);

  /**
   * Ot̃xݒ肵܂.
   */
  void SetGraphLabel(wxString const &label);

  /**
   * Otf[^Xݒ肵܂.
   */
  void SetGraphDataX(GraphDataX const &dataX);

  /**
   * Otf[^̃TCYݒ肵܂.
   */
  void SetGraphDataSize(int dataSize);

  /**
   * ݒ肵܂.
   */
  void SetFormula(wxString const &formula);

  /**
   * Ot̃x擾܂.
   */
  wxString GetGraphLabel() const;

  /**
   * Otf[^X擾܂.
   */
  GraphDataX GetGraphDataX() const;

  /**
   * Otf[^̃TCY擾܂.
   */
  int GetGraphDataSize() const;

  /**
   * 擾܂.
   */
  wxString GetFormula() const;

protected:
  // event handlers
  virtual void ButtonSetSameSizeAs_OnButtonClick(wxCommandEvent& event);
  virtual void ButtonAdd_OnButtonClick(wxCommandEvent& event);

private:
  GraphProject *m_proj;
};

//--------------------------------------------------------------------------------
