#include "ManualPanel.h"

#include <wx/stdpaths.h>

//--------------------------------------------------------------------------------
ManualPanel::ManualPanel(wxWindow* parent, wxWindowID id,
    const wxPoint& pos, const wxSize& size, long style)
  : ManualPanelDesign(parent, id, pos, size, style),
    m_loaded(false)
{
  //m_webViewManual->Connect(wxEVT_WEBVIEW_NEWWINDOW, wxWebViewEventHandler(ManualPanel::WebViewManual_OnNewWindow), NULL, this);
  //Connect(wxEVT_SHOW, wxShowEventHandler(ManualPanel::WebViewManual_OnShow), NULL, this);
}

ManualPanel::~ManualPanel()
{
  //m_webViewManual->Disconnect(wxEVT_WEBVIEW_NEWWINDOW, wxWebViewEventHandler(ManualPanel::WebViewManual_OnNewWindow), NULL, this);
  //Disconnect(wxEVT_SHOW, wxShowEventHandler(ManualPanel::WebViewManual_OnShow), NULL, this);
}

/*void ManualPanel::WebViewManual_OnNewWindow(wxWebViewEvent& event)
{
  LoadManual();
}

void ManualPanel::WebViewManual_OnShow(wxShowEvent& event)
{
  bool shown = event.IsShown();
  wxLogDebug("WebViewManual_OnShow(): shown = %d\n", shown);
  // \ȊÕ^C~OŌĂяo
}

void ManualPanel::OnAuiPaneRestore(wxAuiManagerEvent& event)
{
  wxLogDebug("ManualPanel::OnAuiPaneRestore()");
}

void ManualPanel::OnAuiRender(wxAuiManagerEvent& event)
{
  wxLogDebug("ManualPanel::OnAuiRender()");
  // ĂяoȂ
}

void ManualPanel::OnInitDialog(wxInitDialogEvent& event)
{
  wxLogDebug("ManualPanel::OnInitDialog()");
  // ĂяoȂ
}*/

void ManualPanel::LoadManual()
{
  LoadFileInternal(_T("manual"), _T("manual.htm"));
}

void ManualPanel::LoadLicense()
{
  LoadFileInternal(_T("manual"), _T("license.htm"));
}

void ManualPanel::LoadFileInternal(wxString const &dir, wxString const &fileName)
{
  // ɓǂݍ܂ĂƂ, Ȃ.
  if (m_loaded) return;

  wxStandardPaths &stdPaths = wxStandardPaths::Get();
  
  wxString path;
  wxFileName::SplitPath(stdPaths.GetExecutablePath(), &path, NULL, NULL);

  wxFileName file;
  file.SetPath(path);
  file.AppendDir(dir);
  file.SetName(fileName);
  
  //(_T("./manual/manual.htm")); 
  wxString url; 
                                 
  file.MakeAbsolute(); 
                                 
  url = wxFileSystem::FileNameToURL(file); 
  url.Replace(wxT("file:/"), wxT("file:///")); 

  m_webViewManual->LoadURL(url);

  m_loaded = true;
}

//--------------------------------------------------------------------------------
