#pragma once 

#include "FormDesign.h"
#include "GraphProject.h"
#include "CSVExporter.h"

//--------------------------------------------------------------------------------
class CSVExportOptionDlg : public CSVExportOptionDlgDesign
{
public:
  explicit CSVExportOptionDlg(wxWindow* parent);
  virtual ~CSVExportOptionDlg();

  /**
   * Ot vWFNgݒ肵܂.
   * Otɗp\ȃOtf[^̏\邽߂ɗp܂.
   */
  void SetGraphProject(GraphProject *project);

  /**
   * GNX|[g IvV_CAOɔf܂.
   * ̃\bhĂяoOɃOt vWFNgݒ肵ĂKv܂.
   */
  void SetExportOption(CSVExportOption const &option);

  /**
   * _CAOGNX|[g IvV擾܂.
   * ̃\bhĂяoOɃOt vWFNgݒ肵ĂKv܂.
   */
  void GetExportOption(CSVExportOption &option) const;

protected:
  // event handlers
	virtual void ButtonPush_OnButtonClick(wxCommandEvent &event);
	virtual void ButtonPop_OnButtonClick(wxCommandEvent &event);
	virtual void ButtonMoveUp_OnButtonClick(wxCommandEvent &event);
	virtual void ButtonMoveDown_OnButtonClick(wxCommandEvent &event);
	virtual void ListCtrlExportedItem_OnListItemDeselected(wxListEvent &event);
	virtual void ListCtrlExportedItem_OnListItemSelected(wxListEvent &event);
	virtual void TextCtrlHeader_OnText(wxCommandEvent &event);
	virtual void CheckBoxExportHeader_OnCheckBox(wxCommandEvent &event);
	virtual void CheckBoxExportDataX_OnCheckBox(wxCommandEvent &event);
	virtual void TextCtrlDataXHeader_OnText(wxCommandEvent &event);

private:
  // Candidate ̃XgRg[XV܂.
  void UpdateCandidate();

  // ExportedItem ̃XgRg[XV܂.
  void UpdateExportedItem();

  // ExportedItem ̃wb_[XV܂.
  void UpdateExportedItemHeader();

  // Export header, Export X data, X Data Header XV܂.
  void UpdateOptions();

  GraphProject *m_proj;
  CSVExportOption m_option;
};

//--------------------------------------------------------------------------------
