#pragma once

#include "Application.h"
#include "ConfigParam.h"

//--------------------------------------------------------------------------------
/**
 * RtBOlǂݍ݂܂.
 */
template <typename T>
T ReadConf(wxString const &key, T const &defaultVal)
{
  T value;
  bool found = wxGetApp().GetConfig()->Read<T>(key, &value, defaultVal);
  if (!found)
  {
    // ȂƂ, ftHglł.
    wxGetApp().GetConfig()->Write(key, defaultVal);
  }
  return value;
}

/**
 * RtBOlǂݍ݂܂.
 */
template <typename T>
T ReadConf(ConfigParamInfo<T> const &info)
{
  return ReadConf<T>(info.key, info.defaultValue);
}

/**
 * RtBOɒl݂܂.
 */
template <typename T>
void WriteConf(wxString const &key, T const &value)
{
  wxGetApp().GetConfig()->Write(key, value);
}

/**
 * RtBOɒl݂܂.
 */
template <typename T>
void WriteConf(ConfigParamInfo<T> const &info, T const &value)
{
  WriteConf<T>(info.key, value);
}

//--------------------------------------------------------------------------------
