//#pragma once

#include <wx/string.h>

//--------------------------------------------------------------------------------
// DEFINE_CONFIG_PARAM ̒`ꍇ, `폜.
#if defined(DEFINE_CONFIG_PARAM)
  #undef DEFINE_CONFIG_PARAM
#endif

#if !defined(CONFIG_PARAM_IMPL)

// wb_[̏ꍇ
template <typename T>
struct ConfigParamInfo
{
  typedef T ValueType;

  ConfigParamInfo(wxString const &_key, ValueType const &_defaultValue)
    : key(_key), defaultValue(_defaultValue) { }

  wxString key;
  ValueType defaultValue;
};

#define DEFINE_CONFIG_PARAM(id, key, Type, defaultValue) \
  extern ConfigParamInfo<Type> const id;

#else

// ̏ꍇ
#define DEFINE_CONFIG_PARAM(id, key, Type, defaultValue) \
  ConfigParamInfo<Type> const id(key, defaultValue);

#endif

//--------------------------------------------------------------------------------
// Ƀp[^̈ꗗ܂.
//DEFINE_CONFIG_PARAM(CONF_MAINFRAME_PERS,  "/MainFrame/Perspective", wxString, _T(""))   // AUI CAEg
DEFINE_CONFIG_PARAM(CONF_CALCDLG_FORMULA, "/CalculatorDlg/Formula", wxString, _T(""))   // vZ_CAO̎
DEFINE_CONFIG_PARAM(CONF_MIPMAP_RESO,     "/Mipmap/Resolution",     int,      512)      // ~bv}bv\
DEFINE_CONFIG_PARAM(CONF_MOUSE_ZOOM,      "/Mouse/Zoom",            double,   1.1)      // Y[̊g嗦

//--------------------------------------------------------------------------------
