#pragma once

#include "FormDesign.h"

//--------------------------------------------------------------------------------
class ImageSizeSettingDlg : public ImageSizeSettingDlgDesign
{
public:
  explicit ImageSizeSettingDlg(wxWindow* parent);
  virtual ~ImageSizeSettingDlg();

  void SetWindowImageSize(int width, int height);
  void SetImageSize(int width, int height);
  void GetImageSize(int &width, int &height) const;

protected:
  virtual void CheckBoxSameAs_OnCheckBox(wxCommandEvent& event);

  int m_windowImageWidth, m_windowImageHeight;
};

//--------------------------------------------------------------------------------
