#pragma once

#include <wx/wx.h>
#include <wx/aui/aui.h>
#include "FormDesign.h"
#include "GraphProject.h"

//--------------------------------------------------------------------------------
/**
 * Ct[.
 * OtvWFNgIuWFNg̃Ǘ܂.
 * R}hs܂.
 */
class MainFrame: public MainFrameDesign, public Observer
{
public:
  MainFrame();
  virtual ~MainFrame();

protected:
  // event handlers
  virtual void OnClose(wxCloseEvent& event);

	virtual void Command_OnNewProj(wxCommandEvent& event);
	virtual void Command_OnImport(wxCommandEvent& event);
  virtual void Command_OnExport(wxCommandEvent& event);
  virtual void Command_OnExportImage(wxCommandEvent& event);
  virtual void Command_OnCalculate(wxCommandEvent& event);
	virtual void Command_OnDelete(wxCommandEvent& event);
	virtual void Command_OnExit(wxCommandEvent& event);

	virtual void Command_OnProjPanel(wxCommandEvent& event);
	virtual void Command_OnProjPanelUpdatedUI(wxUpdateUIEvent& event);
	virtual void Command_OnPropPanel(wxCommandEvent& event);
	virtual void Command_OnPropPanelUpdatedUI(wxUpdateUIEvent& event);
  virtual void Command_OnFit(wxCommandEvent& event);
	virtual void Command_OnFitHorz(wxCommandEvent& event);
	virtual void Command_OnFitVert(wxCommandEvent& event);
  virtual void Command_OnZoomIn(wxCommandEvent& event);
	virtual void Command_OnZoomOut(wxCommandEvent& event);
	virtual void Command_OnZoomHorz(wxCommandEvent& event);
	virtual void Command_OnZoomHorzUpdateUI(wxUpdateUIEvent& event);
	virtual void Command_OnZoomVert(wxCommandEvent& event);
	virtual void Command_OnZoomVertUpdateUI(wxUpdateUIEvent& event);
	virtual void Command_OnManualPanel(wxCommandEvent& event);
	virtual void Command_OnManualPanelUpdateUI(wxUpdateUIEvent& event);
  virtual void Command_OnLicensePanel(wxCommandEvent& event);
	virtual void Command_OnLicensePanelUpdateUI(wxUpdateUIEvent& event);
  virtual void Command_OnAbout(wxCommandEvent& event);

  void PanelGraph_OnNotifyCoordinates(wxCommandEvent& event);
  void TimerStatusMsg_OnTimeout(wxTimerEvent& event);

  // ϑΏۂ̒ʒm̃R[obN֐.
  virtual void Update(Observable *sender, ObserverParamBase const &param);

private:
  // vWFNg𐶐, Đ.
  void CreateProject();

  // Xe[^Xo[Ɉ莞ԃbZ[W\.
  void SetStatusMsg(wxString const &msg);

  // vWFNg[U[ɂĕύXꂽǂ܂.
  bool m_modified;

  // Ot vWFNg.
  GraphProjectRefPtr m_proj;

  // Y[уXN[̐.
  bool m_zoomXEnabled, m_zoomYEnabled;

  // Xe[^XbZ[Wp̃^C}[.
  wxTimer *m_timerStatusMsg;

#if !defined(NDEBUG)
  // fobOpR}hnh
  void Command_OnDebugProgressDlg(wxCommandEvent &event);

  // fobOpj[
  wxMenuItem *m_menuItemDebugProgressDlg;
#endif
};

//--------------------------------------------------------------------------------
