#pragma once

#include <wx/wx.h>
#include "FormDesign.h"
#include "GraphProject.h"
#include "Observer.h"

//--------------------------------------------------------------------------------
class ProjectPanel : public ProjectPanelDesign, public Observer
{
public:
  explicit ProjectPanel(wxWindow *parent, wxWindowID id = wxID_ANY,
    const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize,
    long style = 0);

  /**
   * `Ώۂ̃vWFNgݒ肵܂.
   * GraphPanel IuU[oƂĐڑ܂.
   * ̐ڑ͐ؒf܂.
   */
  void SetProject(GraphProject *project);

  /**
   * `Ώۂ̃vWFNg擾܂.
   */
  GraphProject *GetProject() const { return m_proj; }

  /**
   * IĂOt̃CfbNXԂ܂.
   * IĂȂƂ wxNOT_FOUND (-1) Ԃ܂.
   */
  int GetSelectedGraphIndex() const;

protected:
  // event handlers
	virtual void CheckListProj_OnToggled(wxCommandEvent &event);

  // ϑΏۂ̒ʒm̃R[obN֐.
  virtual void Update(Observable *sender, ObserverParamBase const &param);

private:
  void UpdateCheckListProj();

  // OtvWFNg.
  GraphProject *m_proj;

};

//--------------------------------------------------------------------------------
